<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body bgcolor="#FFFFFF" style="margin:0;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td background="images/headers_1.jpg"><table width="100%" height="209"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="left" style="background:url(images/headers.jpg) no-repeat right;padding-left:49px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" alt="" vspace="5" border="0"/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="49" rowspan="2" valign="bottom"><img src="images/left.jpg" width="49" height="502"/></td>
        <td height="100%" valign="top" style="padding-left:27px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
<xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td height="100%" valign="top" style="padding-top:31px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td><table  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td><img src="images/icon.gif" width="17" height="17" hspace="11"/></td>
                      </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td height="100%" valign="top" class="pageContent" style="padding-top:14px;padding-bottom:90px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                  </tr>
                </table></td>
              </tr>
              
              <tr>
                <td style="padding-bottom:22px;"><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
<xsl:call-template name="BOTTOM-MENU"/>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td width="198" align="right" valign="top">
			<table width="198"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/submenu_t.jpg" width="198" height="37"/></td>
              </tr>
              <tr>
                <td align="left" background="images/submenu_m.jpg" style="padding-left:22px;">
				  <table width="146"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table></td>
              </tr>
              <tr>
                <td><img src="images/submenu_b.jpg" width="198" height="33"/></td>
              </tr>
              <tr>
                <td><img src="images/pic.gif" width="198" height="267"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="42" rowspan="2" valign="bottom"><img src="images/right.jpg" width="42" height="502"/></td>
      </tr>
      <tr>
        <td height="99" valign="bottom" style="background:url(images/bottom_bg.jpg) repeat-x bottom;"><img src="images/bottom.jpg" width="686" height="99"/></td>
        </tr>
    </table></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td width="19" style="padding-left:4px;padding-right:7px;" class="submenubg" height="17"><img src="images/asubmenu_bullet.gif" border="0" alt="" hspace="5"/></td>
				<td class="submenubg" width="127"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td width="19" style="padding-left:4px;padding-right:7px;" height="17"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt="" hspace="5"/></a></td>
					<td width="127"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                  <tr>
                    <td colspan="2" align="left" style="padding-left:4px;"><img src="images/submenu_line.gif" width="125" height="1" vspace="3"/></td>
                    </tr>
						</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
             <td><img src="images/bullet.gif" hspace="10"/></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="center" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             <td><img src="images/bullet.gif" hspace="10"/></td>
           </xsl:when>
           <xsl:otherwise>
		   
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
             <td><img src="images/bullet.gif" hspace="10"/></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

