<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <link href="css/styles.css" rel="stylesheet" type="text/css"/>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
      </head>
      <body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0" style="background-color:#ffffff">
        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
          <tr>
            <td width="100%" height="454px">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td width="100%" height="31px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td width="426px" height="31px" style="vertical-align: top; background-image: url(images/XDIM-01_01.jpg);">
                          <div style="width: 426px">
                          </div>
                        </td>
                        <td width="100%" height="31px" style="vertical-align: top; background-image: url(images/XDIM-01_02.jpg);">
                          <div style="width: 269px">
                          </div>
                        </td>
                        <td width="85px" height="31px" style="vertical-align: top; background-image: url(images/XDIM-01_03.jpg);">
                          <div style="width: 85px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="122px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td width="20%" height="122px" align="center" valign="middle" style="background-color: white; padding-left:30px; padding-right:10px">
                          <!--LOGO-->
                          <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <td>
                                <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                              </td>
                              <td style="padding-left:10px">
                                <table cellpadding="0" cellspacing="0" border="0" height="100%" width="100%">
                                  <tr>
                                    <td class="company" style="vertical-align: middle; text-align: center">
                                      <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="slogan" style="vertical-align: middle; text-align: center">
                                      <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                          </table>
                          <!--END LOGO-->
                        </td>
                        <td width="80%" height="122px" style="background-color: white;padding-right:20px;padding-left:20px">
                          <!--TOP MENU-->
                          <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                          </table>
                          <!--TOP MENU-->
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="301px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td width="503px" height="301px" style="vertical-align: top; background-image: url(images/header.jpg);">
                          <div style="width: 503px">
                          </div>
                        </td>
                        <td width="100%" height="301px" style="vertical-align: top; background-image: url(images/XDIM-01_06.jpg);">
                          <div style="width: 168px">
                          </div>
                        </td>
                        <td width="109px" height="301px" style="vertical-align: top; background-image: url(images/XDIM-01_07.jpg);">
                          <div style="width: 109px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="100%">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td height="100%" width="43px" style="vertical-align: top; background-color: white;">
                    <div style="width: 43px; height: 50px">
                    </div>
                  </td>
                  <td height="100%" width="203px" style="vertical-align: top; ">
                    <div style="width: 203px">
                    </div>
                    <!--SUB MENU-->
                    <table cellpadding="0" cellspacing="0" border="0" width="100%">
                      <xsl:call-template name="SUB-MENU">
                        <xsl:with-param name="pageID" select="@ID"/>
                      </xsl:call-template>
                    </table>
                    <!--END SUB MENU-->
                  </td>
                  <td height="100%" width="54px" style="vertical-align: top; background-color: white;">
                    <div style="width: 54px; height: 50px">
                    </div>
                  </td>
                  <td height="100%" width="100%">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td width="100%" height="100%" style="background-color: white; vertical-align: top;" class="pageContent" name="SB_stretch">
                          <table cellpadding="0" cellspacing="0" border="0" height="17px">
                            <tr>
                              <td height="17px" style="padding-right:11px" class="text-header">
                                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                              </td>
                              <td height="17px" width="17px">
                                <img src="images/content.jpg" />
                              </td>
                            </tr>
                          </table>
                          <xsl:apply-templates select="PAGE-CONTENT"/>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" height="83px" style="vertical-align: top; background-color: white; padding-left:20px; padding-top:30px" class="footer">
                          <div style="width: 100%">
                          </div>
                          <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td height="100%" width="57px" style="vertical-align: top; background-color: white;">
                    <div style="width: 57px; height: 50px">
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="74px">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td width="470px" height="74px" style="vertical-align: top; background-image: url(images/XDIM-01_09.jpg);">
                    <div style="width: 470px">
                    </div>
                  </td>
                  <td width="100%" height="74px" style="vertical-align: top; background-image: url(images/XDIM-01_10.jpg);">
                    <div style="width: 137px">
                    </div>
                  </td>
                  <td width="173px" height="74px" style="vertical-align: top; background-image: url(images/XDIM-01_11.jpg);">
                    <div style="width: 173px">
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>

  </xsl:template>


  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="100%" style="padding-right:15px; padding-bottom:12px; padding-top:13px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td width="69px" style="padding-right:57px">
            <img src="images/submenu1.jpg" />
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="100%" style="padding-right:15px; padding-bottom:12px; padding-top:13px">
              <a href="{@HREF}" class="asubmenu ">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td width="69px" style="padding-right:57px">
              <a href="{@HREF}">
                <img src="images/submenu2.jpg" border="0"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td width="100%" height="1px" style="background-image: url(images/submenuhr.jpg)"
            colspan="2">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>

